Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 18792)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 18815)
@@ -244,5 +244,5 @@
                 $order = "update_date DESC, product_id DESC";
                 $objQuery = new SC_Query();
-
+                $objProduct = new SC_Product();
                 switch($_POST['mode']) {
                     case 'csv':
@@ -253,9 +253,9 @@
                         // CSVを送信する。正常終了の場合、終了。
                         $objCSV->sfDownloadProductsCsv($where, $arrval, $order) && exit;
-                        
                         break;
                     case 'delete_all':
                         // 検索結果をすべて削除
-                        $where = "product_id IN (SELECT product_id FROM vw_products_allclass_detail AS alldtl WHERE $where)";
+                        $where = "product_id IN (SELECT product_id FROM "
+                            . $objProduct->alldtlSQL() . " WHERE $where)";
                         $sqlval['del_flg'] = 1;
                         $objQuery->update("dtb_products", $sqlval, $where, $arrval);
@@ -269,5 +269,5 @@
                         // 読み込む列とテーブルの指定
                         $col = "product_id, name, main_list_image, status, product_code_min, product_code_max, price02_min, price02_max, stock_min, stock_max, stock_unlimited_min, stock_unlimited_max, update_date";
-                        $from = "vw_products_allclass_detail AS alldtl ";
+                        $from = $objProduct->alldtlSQL();
 
                         // 行数の取得
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 18788)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 18815)
@@ -66,5 +66,4 @@
 
         $masterData = new SC_DB_MasterData_Ex();
-        $this->arrSRANK = $masterData->getMasterData("mtb_srank");
         $this->arrDISP = $masterData->getMasterData("mtb_disp");
         $this->arrCLASS = $masterData->getMasterData("mtb_class");
@@ -292,6 +291,6 @@
 
             if((isset($this->arrForm[$keyname]) && !empty($this->arrForm[$keyname])) && $this->arrForm[$delkey] != 1) {
-                $arrRet = $objQuery->select("main_list_image, product_code_min, name", "vw_products_allclass AS allcls", "product_id = ?", array($this->arrForm[$keyname]));
-                $arrRecommend[$i] = $arrRet[0];
+                $objProduct = new SC_Product();
+                $arrRecommend[$i] = $objProduct->getDetail($this->arrForm[$keyname]);
                 $arrRecommend[$i]['product_id'] = $this->arrForm[$keyname];
                 $arrRecommend[$i]['comment'] = $this->arrForm[$commentkey];
@@ -352,5 +351,21 @@
 
         $col = "*";
-        $table = "vw_products_nonclass AS noncls ";
+        $table = <<< __EOF__
+                      dtb_products AS T1
+            LEFT JOIN (
+                       SELECT product_id AS product_id_sub,
+                              product_code,
+                              price01,
+                              price02,
+                              stock,
+                              stock_unlimited,
+                              sale_limit,
+                              sale_unlimited,
+                              point_rate
+                         FROM dtb_products_class
+                        WHERE class_combination_id IS NULL
+                       ) AS T2
+                     ON T1.product_id = T2.product_id_sub
+__EOF__;
         $where = "product_id = ?";
 
@@ -431,6 +446,6 @@
 
         // 配列の添字を定義
-        $checkArray = array("name", "status", "product_flag",
-                            "main_list_comment", "main_comment", "point_rate",
+        $checkArray = array("name", "status",
+                            "main_list_comment", "main_comment",
                             "deliv_fee", "comment1", "comment2", "comment3",
                             "comment4", "comment5", "comment6", "main_list_comment",
@@ -441,9 +456,6 @@
         $sqlval['name'] = $arrList['name'];
         $sqlval['status'] = $arrList['status'];
-        $sqlval['product_flag'] = $arrList['product_flag'];
         $sqlval['main_list_comment'] = $arrList['main_list_comment'];
         $sqlval['main_comment'] = $arrList['main_comment'];
-        $sqlval['point_rate'] = $arrList['point_rate'];
-        $sqlval['deliv_fee'] = $arrList['deliv_fee'];
         $sqlval['comment1'] = $arrList['comment1'];
         $sqlval['comment2'] = $arrList['comment2'];
@@ -453,5 +465,4 @@
         $sqlval['comment6'] = $arrList['comment6'];
         $sqlval['main_list_comment'] = $arrList['main_list_comment'];
-        $sqlval['sale_limit'] = $arrList['sale_limit'];
         $sqlval['deliv_date_id'] = $arrList['deliv_date_id'];
         $sqlval['maker_id'] = $arrList['maker_id'];
@@ -843,25 +854,26 @@
         if ($objDb->sfHasProductClass($product_id)) return;
 
-        // 既存規格の削除
-        $where = 'product_id = ?';
-        $objQuery->delete('dtb_products_class', $where, array($product_id));
-
         // 配列の添字を定義
-        $checkArray = array('product_class_id', 'product_id', 'product_code', 'stock', 'stock_unlimited', 'price01', 'price02');
+        $checkArray = array('product_class_id', 'product_id', 'product_code', 'stock', 'stock_unlimited', 'price01', 'price02', 'sale_limit', 'sale_unlimited', 'deliv_fee', 'point_rate', 'del_flg');
         $sqlval = SC_Utils_Ex::sfArrayIntersectKeys($arrList, $checkArray);
         $sqlval = SC_Utils_Ex::arrayDefineIndexes($sqlval, $checkArray);
 
+        $sqlval['stock_unlimited'] = $sqlval['stock_unlimited'] ? '1' : '0';
+        $sqlval['creator_id'] = strlen($_SESSION['member_id']) >= 1 ? $_SESSION['member_id'] : '0';
+
         if (strlen($sqlval['product_class_id']) == 0) {
             $sqlval['product_class_id'] = $objQuery->nextVal('dtb_products_class_product_class_id');
-        }
-        $sqlval['classcategory_id1'] = '0';
-        $sqlval['classcategory_id2'] = '0';
-        $sqlval['stock_unlimited'] = $sqlval['stock_unlimited'] ? '1' : '0';
-        $sqlval['creator_id'] = strlen($_SESSION['member_id']) >= 1 ? $_SESSION['member_id'] : '0';
-        $sqlval['create_date'] = 'now()';
-
-        // INSERTの実行
-        $objQuery->insert('dtb_products_class', $sqlval);
-    }
+            $sqlval['create_date'] = 'now()';
+            $sqlval['update_date'] = 'now()';
+            // INSERTの実行
+            $objQuery->insert('dtb_products_class', $sqlval);
+        } else {
+            $sqlval['update_date'] = 'now()';
+            // UPDATEの実行
+            $objQuery->update('dtb_products_class', $sqlval, "product_class_id = ?", array($sqlval['product_class_id']));
+
+        }
+    }
+
     /* ダウンロードファイル情報の初期化 */
     function lfInitDownFile() {
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 18789)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 18815)
@@ -105,8 +105,4 @@
             $order = "update_date DESC, product_id DESC ";
 
-            // 読み込む列とテーブルの指定
-            $col = "product_id, name, category_id, main_list_image, status, product_code, price01, stock, stock_unlimited";
-            $from = "vw_products_nonclass AS noncls ";
-
             $objQuery = new SC_Query();
             // 行数の取得
@@ -135,9 +131,7 @@
             $objQuery->setOrder($order);
 
-            // viewも絞込みをかける(mysql用)
-            //sfViewWhere("&&noncls_where&&", $where, $arrval, $objQuery->order . " " .  $objQuery->setLimitOffset($page_max, $startno, true));
-
             // 検索結果の取得
-            $this->arrProducts = $objQuery->select($col, $from, $where, $arrval);
+            // FIXME 商品コードの表示
+            $this->arrProducts = $objQuery->select("*", SC_Product::alldtlSQL(), $where, $arrval);
         }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 18789)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 18815)
@@ -109,4 +109,7 @@
             }
 
+            /*
+             * FIXME パフォーマンスに問題があるため SC_Product::lists() を使用する
+             */
             // 読み込む列とテーブルの指定
             $col = "DISTINCT T1.product_id, product_code_min, product_code_max,"
@@ -115,5 +118,5 @@
                 . " stock_unlimited_max, del_flg, status, name, comment1,"
                 . " comment2, comment3, main_list_comment, main_image,"
-                . " main_list_image, product_flag, deliv_date_id, sale_limit,"
+                . " main_list_image, deliv_date_id, sale_limit,"
                 . " point_rate, create_date, deliv_fee, "
                 . " T4.product_rank, T4.category_rank";
@@ -153,7 +156,4 @@
             $objQuery->setOrder($order);
 
-            // viewも絞込みをかける(mysql用)
-            //sfViewWhere("&&noncls_where&&", $where, $arrval, $objQuery->order . " " .  $objQuery->setLimitOffset($page_max, $startno, true));
-
             // 検索結果の取得
             $this->arrProducts = $objQuery->select($col, $from, $where, $arrval);
@@ -209,4 +209,5 @@
     }
 
+    // FIXME SC_Product クラスを使用する
     /* 規格セレクトボックスの作成 */
     function lfMakeSelect($product_id, $arrClassName, $arrClassCatName) {
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 18772)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 18815)
@@ -103,8 +103,4 @@
             $order = "update_date DESC, product_id DESC";
 
-            // 読み込む列とテーブルの指定
-            $col = "product_id, name, category_id, main_list_image, status, product_code, price01, stock, stock_unlimited";
-            $from = "vw_products_nonclass AS noncls ";
-
             $objQuery = new SC_Query();
             // 行数の取得
@@ -131,6 +127,7 @@
             $objQuery->setOrder($order);
 
+            // FIXME 商品コードの表示
             // 検索結果の取得
-            $this->arrProducts = $objQuery->select($col, $from, $where, $arrval);
+            $this->arrProducts = $objQuery->select("*", SC_Product::alldtlSQL(), $where, $arrval);
         }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18772)
+++ /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18815)
@@ -335,5 +335,5 @@
                 case 'delete_all':
                     // 検索結果をすべて削除
-                    $where = "product_id IN (SELECT product_id FROM vw_products_nonclass AS noncls WHERE $where)";
+                    $where = "product_id IN (SELECT product_id FROM SC_Product::alldtlSQL() WHERE $where)";
                     $sqlval['del_flg'] = 1;
                     $objQuery->update("dtb_products", $sqlval, $where, $arrval);
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php	(revision 18815)
@@ -105,5 +105,5 @@
     function lfGetRanking(){
         $objQuery = new SC_Query();
-
+        // FIXME SC_Product クラスを使用した実装
         $col = "DISTINCT A.*, name, price02_min, price01_min, main_list_image ";
         $from = "dtb_best_products AS A INNER JOIN vw_products_allclass AS allcls using(product_id)";
Index: /branches/version-2_5-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 18812)
+++ /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 18815)
@@ -806,5 +806,5 @@
             $objQuery->setOrder('update_date DESC');
             //キャンペーンポイントの取得
-            $arrRet = $objQuery->select("campaign_name, campaign_point_rate", "dtb_campaign", $where, array($product_id));
+            //$arrRet = $objQuery->select("campaign_name, campaign_point_rate", "dtb_campaign", $where, array($product_id));
         }
         //複数のキャンペーンに登録されている商品は、最新のキャンペーンからポイントを取得
@@ -858,7 +858,9 @@
 
     function sfGetProductClassId($product_id, $classcategory_id1, $classcategory_id2) {
-        $where = "product_id = ? AND classcategory_id1 = ? AND classcategory_id2 = ?";
+        // $where = "product_id = ? AND classcategory_id1 = ? AND classcategory_id2 = ?";
+        $where = "product_id = ?";
         $objQuery = new SC_Query();
-        $ret = $objQuery->get("dtb_products_class", "product_class_id", $where, Array($product_id, $classcategory_id1, $classcategory_id2));
+        // $ret = $objQuery->get("dtb_products_class", "product_class_id", $where, Array($product_id, $classcategory_id1, $classcategory_id2));
+        $ret = $objQuery->get("dtb_products_class", "product_class_id", $where, Array($product_id));
         return $ret;
     }
Index: /branches/version-2_5-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- /branches/version-2_5-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 18793)
+++ /branches/version-2_5-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 18815)
@@ -307,69 +307,4 @@
         if (empty($sql)) {
 
-            $sql['vw_cross_class'] = <<< __EOS__
-                (
-                    SELECT
-                        T1.class_id AS class_id1,
-                        T2.class_id AS class_id2,
-                        T1.classcategory_id AS classcategory_id1,
-                        T2.classcategory_id AS classcategory_id2,
-                        T1.name AS name1,
-                        T2.name AS name2,
-                        T1.rank AS rank1,
-                        T2.rank AS rank2
-                    FROM
-                        dtb_classcategory AS T1,
-                        dtb_classcategory AS T2
-                )
-__EOS__;
-
-            $sql['vw_cross_products_class'] = <<< __EOS__
-                (
-                    SELECT
-                        T1.class_id1,
-                        T1.class_id2,
-                        T1.classcategory_id1,
-                        T1.classcategory_id2,
-                        T2.product_id,
-                        T1.name1,
-                        T1.name2,
-                        T2.product_code,
-                        T2.stock,
-                        T2.price01,
-                        T2.price02,
-                        T1.rank1,
-                        T1.rank2
-                    FROM
-                        {$sql['vw_cross_class']} AS T1
-                        LEFT JOIN dtb_products_class AS T2
-                            ON T1.classcategory_id1 = T2.classcategory_id1
-                            AND T1.classcategory_id2 = T2.classcategory_id2
-                )
-__EOS__;
-
-            $sql['vw_products_nonclass'] = <<< __EOS__
-                (
-                    SELECT *
-                    FROM
-                        dtb_products AS T1
-                        LEFT JOIN
-                        (
-                            SELECT
-                                product_id AS product_id_sub,
-                                product_code,
-                                price01,
-                                price02,
-                                stock,
-                                stock_unlimited,
-                                classcategory_id1,
-                                classcategory_id2
-                            FROM dtb_products_class
-                            WHERE
-                                classcategory_id1 = 0
-                                AND classcategory_id2 = 0
-                        ) AS T2
-                        ON T1.product_id = T2.product_id_sub
-                )
-__EOS__;
 
             $sql['vw_products_allclass_detail'] = <<< __EOS__
@@ -378,11 +313,7 @@
                         dtb_products.product_id,
                         dtb_products.name,
-                        dtb_products.deliv_fee,
-                        dtb_products.sale_limit,
                         dtb_products.maker_id,
                         dtb_products.rank,
                         dtb_products.status,
-                        dtb_products.product_flag,
-                        dtb_products.point_rate,
                         dtb_products.comment1,
                         dtb_products.comment2,
@@ -448,5 +379,5 @@
                     FROM
                         dtb_products
-                        LEFT JOIN
+                    JOIN
                             (
                                 SELECT
@@ -488,39 +419,4 @@
 __EOS__;
 
-            $sql['vw_product_class'] = <<< __EOS__
-                (SELECT * FROM
-                (SELECT T3.product_class_id, T3.product_id AS product_id_sub, classcategory_id1, classcategory_id2,
-                T3.rank AS rank1, T4.rank AS rank2, T3.class_id AS class_id1, T4.class_id AS class_id2,
-                stock, price01, price02, stock_unlimited, product_code
-                FROM ( SELECT
-                        T1.product_class_id,
-                        T1.product_id,
-                        classcategory_id1,
-                        classcategory_id2,
-                        T2.rank,
-                        T2.class_id,
-                        stock,
-                        price01,
-                        price02,
-                        stock_unlimited,
-                        product_code
-                 FROM (dtb_products_class AS T1 LEFT JOIN dtb_classcategory AS T2
-                ON T1.classcategory_id1 = T2.classcategory_id))
-                AS T3 LEFT JOIN dtb_classcategory AS T4
-                ON T3.classcategory_id2 = T4.classcategory_id) AS T5 LEFT JOIN dtb_products AS T6
-                ON product_id_sub = T6.product_id)
-__EOS__;
-
-            $sql['vw_category_count'] = <<< __EOS__
-                (SELECT T1.category_id, T1.category_name, T1.parent_category_id, T1.level, T1.rank, T2.product_count
-                FROM dtb_category AS T1 LEFT JOIN dtb_category_total_count AS T2
-                ON T1.category_id = T2.category_id)
-__EOS__;
-
-            $sql['vw_download_class'] = <<< __EOS__
-                (SELECT p.product_id AS product_id, p.down_realfilename AS down_realfilename , p.down_filename AS down_filename, od.order_id AS order_id, o.customer_id AS customer_id, o.commit_date AS commit_date, o.status AS status FROM
-                    dtb_products p, dtb_order_detail od, dtb_order o
-                WHERE p.product_id = od.product_id AND od.order_id = o.order_id)
-__EOS__;
         }
 
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 18773)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 18815)
@@ -47,4 +47,5 @@
 require_once(CLASS_PATH . "SC_MobileEmoji.php");
 require_once(CLASS_PATH . "SC_MobileImage.php");
+require_once(CLASS_PATH . "SC_Product.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_PageLayout_Ex.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_DB_Ex.php");
